Available Funds

Retrieve the current balance of a merchant for a given region and currency.

Request Content

Enter any of the query parameters below into the request URL. For example:
services/2/balance/available-funds?vendorId=11111

Query Parameters

Parameter NameDescriptionExample
midMerchant ID.mid=34567
vendorIdVendor ID.vendorId=12345

Response Details

If successful, the response HTTP status code is 200 OK.
The response contains the following fields:

Property NameTypeDescription
merchantIdintegerUnique identifier that BlueSnap assigned to the merchant.
balancearrayarray of objects containing balance properties

Examples

Request Examples

curl -v -X GET https://sandbox.bluesnap.com/services/2/balance/available-funds?vendorId=11111 \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \ 
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '

Response Examples

{
  "merchantId": 5718485,
  "balance": [
    {
      "legalEntity": "EU",
      "totalFundsUsd": 317.98,
      "totalPendingRefundsAmountUsd": 0,
      "currencies": [
        {
          "currency": "CAD",
          "funds": 433.24,
          "fundsUsd": 317.98
        }
      ]
    }
  ]
}

API Explorer

To test out a basic API request, click the "Try It!" button in the right-hand column to test using the default, pre-populated sample values. To test with your own values, edit the parameter fields below. You'll see them populate in the right-hand column and you can click the "Try It!" button to submit your test request and see a response.

Path Params
string
required
Query Params
string
Defaults to 111111
string
Response
200
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!